<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMalasDiretasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('malas_diretas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('mensagem', 150);
            $table->integer('qtde_contatos');
            $table->smallInteger('tipo_servidor'); // TipoServidorEnum
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('malas_diretas');
    }
}
